Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
MKKE .xxx files
#1
Hi
I'm trying to open some .xxx files from Mortal Kombat Komplete Edition, lets say a Character file. I've decompressed it, renamed it to .u and made sure the UE explorer was set to Console before opening. Here's what I get:

"Thrown by:LoadPackage
at UEExplorer.UI.Tabs.UC_PackageExplorer.LoadPackage()
at UEExplorer.UI.ProgramForm.LoadFile(String fileName)System.IO.EndOfStreamException: Unable to read beyond the end of the stream.
at System.IO.BinaryReader.FillBuffer(Int32 numBytes)
at System.IO.BinaryReader.ReadUInt32()
at UELib.UnrealPackage.Deserialize(UPackageStream stream)
at UELib.UnrealLoader.LoadPackage(String packagePath, FileAccess fileAccess)
at UEExplorer.UI.Tabs.UC_PackageExplorer.LoadPackage()
Unable to read beyond the end of the stream."

Which is a real darn shame since I've used this tool to mod an incoherent pile of mess that was Aliens Colonial Marines, and pretty extensively too. I thought MK was supported? Anyways, can't open any file so far from this game. Any help?

I've sent a report too...
Reply
#2
Sorry but MK is not supported!
Reply
#3
Well damn...is it possible to add support to it? Tongue
Reply
#4
(12-02-2014, 03:54 AM)xenon90 Wrote:  Well damn...is it possible to add support to it? Tongue

You are always welcome to add support for it, it is open sourced on github Big Grin
Reply
#5
(12-05-2014, 04:34 PM)eliot Wrote:  
(12-02-2014, 03:54 AM)xenon90 Wrote:  Well damn...is it possible to add support to it? Tongue

You are always welcome to add support for it, it is open sourced on github Big Grin

Yeah I know jackshit about this type of programming  Big Grin
Let me rephrase...is it possible for you to add support for it? If you need some files I can easily send it over (thats what you need to add support to a game, right?)
Reply
#6
(12-05-2014, 08:17 PM)xenon90 Wrote:  
(12-05-2014, 04:34 PM)eliot Wrote:  
(12-02-2014, 03:54 AM)xenon90 Wrote:  Well damn...is it possible to add support to it? Tongue

You are always welcome to add support for it, it is open sourced on github Big Grin

Yeah I know jackshit about this type of programming  Big Grin
Let me rephrase...is it possible for you to add support for it? If you need some files I can easily send it over (thats what you need to add support to a game, right?)

I can give it a try...

Files needed:
Core.u for basic support development
Engine.u to test full support
thegamefile(varies by name).u to test for custom modifications most likely to reside in their code
game.exe to see possible data structures (though i'm terrible at reading this, i mostly do it through debugging instead of reverse engineering differences of games)
Reply
#7
Alright, ill get these uploaded when i get home from work. Thanks man.
Reply
#8
OK, here it is:

http://www.filedropper.com/mkke

Files I've added to the archive:
Core.xxx (and some META file)
Engine.xxx (ditto)
MK9Game.xxx (ditto)
MKCore.xxx (ditto) (not sure if you need it but what the heck)
MKKE.exe
MKLauncher.exe

Anything else? Tongue
Reply
#9
Thanks.

I have finished support for MKKE: https://github.com/EliotVU/Unreal-Library/commit/3e55f63731d7da804864a63f235e6d1035a25667 :p

To use this update you need to have the latest UE Explorer beta(see this forum, you probably already have it), and then once installed, overwrite your Eliot.UELib.dll with this new one:
Reply
#10
I'm using 1.2.6.0 and replaced the .dll...Here's what I get when I try to .xxx renamed to .u (might be a good idea to add support for this xxx extension?) and switched to console

"Thrown by:InitializePackage
  at UEExplorer.UI.Tabs.UC_PackageExplorer.InitializePackage()
  at UEExplorer.UI.Tabs.UC_PackageExplorer.LoadPackage()
  at UEExplorer.UI.ProgramForm.LoadFile(String fileName)

Could not load type 'UELib.Core.ObjectEventArgs' from assembly 'Eliot.UELib, Version=1.2.6.0, Culture=neutral, PublicKeyToken=null'."

Even my A:CM mods are throwing out the same error now Big Grin
Reply
#11
I guess some of the refactoring I had done yesterday must have broken the compatibility, although it worked for me without rebuilding UE Explorer, meh I'll upload a complete new build Big Grin
Reply
#12
Here's a full build: http://eliotvu.com/updates/UE-Explorer.1.2.7.0.rar

I've also fixed that one particular error, so just replacing the lib may work now, but isn't necessary anymore as you can use this portable version of UE Explorer instead!
Reply
#13
Works like a charm. Smile
Reply


Forum Jump:


Users browsing this thread: 2 Guest(s)